Package ru.bitel.oss.systems.inventory.resource.server.bean

# Class PhoneResourceSubscriptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<PhoneResourceSubscription>
ru.bitel.oss.systems.inventory.resource.server.bean.PhoneResourceSubscriptionDao

All Implemented Interfaces:
  `AutoCloseable`

public class PhoneResourceSubscriptionDao extends ru.bitel.common.dao.AbstractDao<PhoneResourceSubscription>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhoneResourceSubscriptionDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `deleteBySubscriberId(int subscriberId)`
  `protected PhoneResourceSubscription`
  `getFromRS(ResultSet rs)`
  `List<PhoneResourceSubscription>`
  `list(int phoneResourceId, Date dateFrom, Date dateTo)`
  `List<PhoneResourceSubscription>`
  `list(int phoneResourceId, Date dateFrom, Date dateTo, long phone)`
  `Result<PhoneResourceSubscription>`
  `list(int phoneResourceId, Date dateFrom, Date dateTo, Page page)`
  `Set<Integer>`
  `subscribedPnones(int phoneResourceId, Date dateFrom, Date dateTo)`
  `protected void`
  `updateImpl(PhoneResourceSubscription b)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhoneResourceSubscriptionDao

    public PhoneResourceSubscriptionDao(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected PhoneResourceSubscription getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<PhoneResourceSubscription>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(PhoneResourceSubscription b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<PhoneResourceSubscription>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### subscribedPnones

    public Set<Integer> subscribedPnones(int phoneResourceId, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<PhoneResourceSubscription> list(int phoneResourceId, Date dateFrom, Date dateTo, long phone) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<PhoneResourceSubscription> list(int phoneResourceId, Date dateFrom, Date dateTo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public Result<PhoneResourceSubscription> list(int phoneResourceId, Date dateFrom, Date dateTo, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteBySubscriberId

    public int deleteBySubscriberId(int subscriberId) throws Exception
    Throws:
      `Exception`